      program igslist
C	sites(400)
	character*76 list(400),infile,outfile,txt,site
	dimension glat(400),glon(400)
	infile='IGS-sites2.txt'
	OPEN(10,file=infile,action='READ')
	outfile='igslist3.txt'
	OPEN(11,file=outfile)
	icnt=0
   30	format(A76)
   31	format(A64,F6.2,1X,F7.2)
   32	format(A64,F6.2,1X,F7.2,2(1X,I4))
	read(10,30) txt ! title 
	write(11,30) txt
	DO i=1,400
	read(10,31,end=40) list(i),glat(i),glon(i)
	icnt=icnt+1
	ENDDO
   40	close(unit=10)
C
	nn=0
C
C//   41	glatmin=90.
   41	glonmin=180.
	DO kk=1,icnt
C//	if (glat(kk).lt.glatmin) then
	if (glon(kk).lt.glonmin) then
	imin=kk
C//	glatmin=glat(kk)
	glonmin=glon(kk)
      site=list(kk)
	endif
	ENDDO
	nn=nn+1
	write(*,32) list(imin),glat(imin),glon(imin),imin,nn
	write(11,32) list(imin),glat(imin),glon(imin),imin,nn
	icnt=icnt-1
	DO ii=imin,icnt
	list(ii)=list(ii+1)
	glat(ii)=glat(ii+1)
	glon(ii)=glon(ii+1)
	ENDDO
	if (icnt.ge.1) GOTO 41
	close(unit=11)
	pause ' '
	STOP 
	END